> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a Professional-Tax band

> Edit a Professional-Tax band



## OpenAPI

````yaml /api-reference/openapi.json patch /api/statutory/pt-slabs/{id}
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/statutory/pt-slabs/{id}:
    patch:
      tags:
        - Statutory
      summary: Edit a Professional-Tax band
      description: Edit a Professional-Tax band
      operationId: patchApiStatutoryPtSlabsById
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                state:
                  type: string
                  minLength: 1
                minMonthlyGross:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                maxMonthlyGross:
                  anyOf:
                    - type: integer
                      minimum: 0
                      maximum: 9007199254740991
                    - type: 'null'
                amount:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                febExtra:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  state:
                    type: string
                  minMonthlyGross:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  maxMonthlyGross:
                    anyOf:
                      - type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      - type: 'null'
                  amount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  febExtra:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - id
                  - state
                  - minMonthlyGross
                  - maxMonthlyGross
                  - amount
                  - febExtra
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````